Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.ui.tree
Class TableMapper

    java.lang.Object
      javax.swing.table.AbstractTableModel
          de.grogra.pf.ui.tree.TableMapper

All Implemented Interfaces:
  java.io.Serializable, java.util.EventListener, javax.swing.event.TreeModelListener, javax.swing.table.TableModel

    public class TableMapper

extends javax.swing.table.AbstractTableModel
implements javax.swing.event.TreeModelListener

See Also:
  Serialized Form

Field Summary
`protected java.lang.String[]` | `keys`
`protected boolean` | `listen`
`protected java.lang.String[]` | `names`
`protected UITree` | `source`

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`TableMapper(UITree source, java.lang.String[] names, java.lang.String[] keys, boolean listen)`

Method Summary
`void` | `addTableModelListener(javax.swing.event.TableModelListener l)`
`int` | `getColumnCount()`
`java.lang.String` | `getColumnName(int column)`
`java.lang.Object` | `getColumnValue(java.lang.Object node, int column)`
`int` | `getRowCount()`
`java.lang.Object` | `getValueAt(int rowIndex, int columnIndex)`
`void` | `removeTableModelListener(javax.swing.event.TableModelListener l)`
`void` | `treeNodesChanged(javax.swing.event.TreeModelEvent e)`
`void` | `treeNodesInserted(javax.swing.event.TreeModelEvent e)`
`void` | `treeNodesRemoved(javax.swing.event.TreeModelEvent e)`
`void` | `treeStructureChanged(javax.swing.event.TreeModelEvent e)`

Methods inherited from class javax.swing.table.AbstractTableModel
`findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getColumnClass, getListeners, getTableModelListeners, isCellEditable, setValueAt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### keys

    protected final java.lang.String[] keys

### listen

    protected final boolean listen

### names

    protected final java.lang.String[] names

### source

    protected final UITree source

Constructor Detail

### TableMapper

    public TableMapper(UITree source,
                       java.lang.String[] names,
                       java.lang.String[] keys,
                       boolean listen)

Method Detail

### addTableModelListener

    public void addTableModelListener(javax.swing.event.TableModelListener l)

  Specified by:
    `addTableModelListener` in interface `javax.swing.table.TableModel`
  Overrides:
    `addTableModelListener` in class `javax.swing.table.AbstractTableModel`

### getColumnCount

    public int getColumnCount()

  Specified by:
    `getColumnCount` in interface `javax.swing.table.TableModel`

### getColumnName

    public java.lang.String getColumnName(int column)

  Specified by:
    `getColumnName` in interface `javax.swing.table.TableModel`
  Overrides:
    `getColumnName` in class `javax.swing.table.AbstractTableModel`

### getColumnValue

    public java.lang.Object getColumnValue(java.lang.Object node,
                                           int column)

### getRowCount

    public int getRowCount()

  Specified by:
    `getRowCount` in interface `javax.swing.table.TableModel`

### getValueAt

    public java.lang.Object getValueAt(int rowIndex,
                                       int columnIndex)

  Specified by:
    `getValueAt` in interface `javax.swing.table.TableModel`

### removeTableModelListener

    public void removeTableModelListener(javax.swing.event.TableModelListener l)

  Specified by:
    `removeTableModelListener` in interface `javax.swing.table.TableModel`
  Overrides:
    `removeTableModelListener` in class `javax.swing.table.AbstractTableModel`

### treeNodesChanged

    public void treeNodesChanged(javax.swing.event.TreeModelEvent e)

  Specified by:
    `treeNodesChanged` in interface `javax.swing.event.TreeModelListener`

### treeNodesInserted

    public void treeNodesInserted(javax.swing.event.TreeModelEvent e)

  Specified by:
    `treeNodesInserted` in interface `javax.swing.event.TreeModelListener`

### treeNodesRemoved

    public void treeNodesRemoved(javax.swing.event.TreeModelEvent e)

  Specified by:
    `treeNodesRemoved` in interface `javax.swing.event.TreeModelListener`

### treeStructureChanged

    public void treeStructureChanged(javax.swing.event.TreeModelEvent e)

  Specified by:
    `treeStructureChanged` in interface `javax.swing.event.TreeModelListener`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD